Bug 966723 - Hwcert-1.5.9 profiler: passing with forced timer config still fails test
Hwcert-1.5.9 profiler: passing with forced timer config still fails test
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
Depends On:
Blocks: 967110 967113
  Show dependency treegraph
Reported: 2013-05-23 14:55 EDT by Mark Coskey
Modified: 2013-07-31 06:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: hwcert-client-1.5.9-35
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 967110 (view as bug list)
Last Closed: 2013-07-31 06:01:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
hwcert logs (1.65 MB, application/x-zip-compressed)
2013-05-23 14:55 EDT, Mark Coskey
no flags Details
output.log from previous attachment - indented (2.01 KB, application/xml)
2013-05-24 13:09 EDT, Greg Nichols
no flags Details
profiler test patch fixing retry logic (808 bytes, patch)
2013-05-24 13:24 EDT, Greg Nichols
gnichols: review? (rlandry)
Details | Diff

  None (edit)
Description Mark Coskey 2013-05-23 14:55:29 EDT
Created attachment 752341 [details]
hwcert logs

Description of problem:
On RHEL5.8 xen the hwcert test run summary reports the profiler test fails but the profiler output.log reports the test passes(<summary>PASS</summary>).

Version-Release number of selected component (if applicable):

How reproducible: always

Steps to Reproduce:
1. Install RHEL5.8 xen
2. Install hwcert-client-info-1.5.9-28
3. Install hwcert-client-1.5.9-28
4. Run profiler test; hwcert-backend run --test profiler
5. Once test completes display the test run summary; hwcert-backend print
6. The profiler test output.log at /var/log/hwcert/runs/1/profiler/ reports the
   test passes which conflicts with the test run summary in step 5.

Actual results: The profiler test run summary and output.log reports conflicting test results.

Expected results: The profiler test run summary and output.log should report the same test status.

Additional info: See attachment for further details.
Comment 1 Greg Nichols 2013-05-24 13:09:45 EDT
Created attachment 752799 [details]
output.log from previous attachment - indented
Comment 2 Greg Nichols 2013-05-24 13:18:14 EDT
The following sub-sections of the test fail:

        <output name="Start Daemon">
		starting opcontrold
		Error: oprofiled did not start
	<output name="Report">
		"opcontrol --dump" has output on stderr

Note that the last <summary>PASSED</summary> at the end of the log is just indicating the last sub-test passed, not the whole test, so it's not inconsistent.

But, there does appear to be a logical problem in the profiler test.   If the daemon won't start, it sets a forced-timer configuration and re-tries the daemon, which the attached logs indicate worked.   But the test is still marked as a failure.
Comment 3 Greg Nichols 2013-05-24 13:24:23 EDT
Created attachment 752803 [details]
profiler test patch fixing retry logic
Comment 7 Mark Coskey 2013-05-31 11:15:50 EDT
Modified the profiler.py file per attached change and the profiler test run summary now reports a pass.
Comment 10 errata-xmlrpc 2013-07-31 06:01:43 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.